Ubuntu

Sabayon editor crashes when trying to make a change in a profile

Reported by uga on 2007-10-07
140
This bug affects 11 people
Affects Status Importance Assigned to Milestone
sabayon (Ubuntu)
High
Scott Balneaves
Nominated for Hardy by gcc

Bug Description

I'm using Gutsy on Dell Inspiron 6400 (Core 2 Duo, ATI Mobility X1400).

When trying to make a change to a profile, sabayon editor will crash. The error message is also misleading about the location of the log file. Below are the steps, and log file contents, screenshots will follow.

===============================================

Steps to reproduce:

1). Install User Profile Editor (a.k.a. sabayon).
2). Create a user with default privileges (although this might not be necessary) and a sabayon profile.
3). Select the profile and start editor
4). Try making a change, e.g. remove the bottom panel.
5). Voila

===============================================

Log file contents follow:

uga@uga-laptop:~$ cat /root/sabayon-debug-log-2007-10-06-22-03-28.txt
===== BEGIN MILESTONES (/usr/bin/sabayon) =====
MainThread 2007/10/06 22:02:18.4926 (admin-tool): Creating profiles dialog
MainThread 2007/10/06 22:02:18.5497 (admin-tool): Starting main loop
MainThread 2007/10/06 22:03:17.8550 (admin-tool): sabayon-session exited normally
MainThread 2007/10/06 22:03:28.6875 (admin-tool): Got fatal error: sabayon-session exited with a FATAL ERROR (exit code 1)
MainThread 2007/10/06 22:03:28.8568 (admin-tool): Terminating main loop
MainThread 2007/10/06 22:03:28.8568 (admin-tool): Exiting abnormally; dumping log due to a fatal error
===== END MILESTONES (/usr/bin/sabayon) =====
===== BEGIN RING BUFFER (/usr/bin/sabayon) =====
MainThread 2007/10/06 22:02:18.4926 (admin-tool): Creating profiles dialog
MainThread 2007/10/06 22:02:18.5497 (admin-tool): Starting main loop
MainThread 2007/10/06 22:02:22.1873 (USER): Starting to edit profile 'kiosk'
MainThread 2007/10/06 22:03:17.8550 (admin-tool): sabayon-session exited normally
MainThread 2007/10/06 22:03:18.0191 (USER): Finishing editing profile
MainThread 2007/10/06 22:03:19.9405 (USER): Starting to edit profile 'kiosk'
MainThread 2007/10/06 22:03:28.6875 (admin-tool): Got fatal error: sabayon-session exited with a FATAL ERROR (exit code 1)
MainThread 2007/10/06 22:03:28.8564 (USER): Finishing editing profile
MainThread 2007/10/06 22:03:28.8568 (admin-tool): Terminating main loop
MainThread 2007/10/06 22:03:28.8568 (admin-tool): Exiting abnormally; dumping log due to a fatal error
===== END RING BUFFER (/usr/bin/sabayon) =====

This configuration for the debug log can be re-created
by putting the following in /root/sabayon-debug-log.conf
(use ';' to separate domain names):

[debug log]
max lines = 1000

===================================================

Standard output in the shell:

uga@uga-laptop:~$ sudo sabayon
[sudo] password for uga:
/etc/gdm/Xsession: Beginning session setup...
Checking for Xgl: not present.
AIEEEEH, no Log file found
Keyboard Control:
  auto repeat: on key click percent: 0 LED mask: 00000000
  auto repeat delay: 500 repeat rate: 30
  auto repeating keys: 00ffffffdffffbbf
                        fadfffdfffdfe5ef
                        ffffffffffffffff
                        ffffffffffffffff
  bell percent: 50 bell pitch: 400 bell duration: 100
Pointer Control:
  acceleration: 2/1 threshold: 4
Screen Saver:
  prefer blanking: yes allow exposures: yes
  timeout: 600 cycle: 600
Colors:
  default colormap: 0x25 BlackPixel: 0 WhitePixel: 16777215
Font Path:
  /tmp/sabayon-temp-home-PIQRsn/.gnome2/share/cursor-fonts,/usr/share/fonts/X11/misc,/usr/share/fonts/X11/100dpi/:unscaled,/usr/share/fonts/X11/75dpi/:unscaled,/usr/share/fonts/X11/Type1,/usr/share/fonts/X11/100dpi,/usr/share/fonts/X11/75dpi,/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,/tmp/sabayon-temp-home-PIQRsn/.gnome2/share/fonts
Bug Mode: compatibility mode is disabled
DPMS (Energy Star):
  Server does not have the DPMS Extension
Initializing gnome-mount extension
Detected PCI ID for VGA: 01:00.0 0300: 1002:7145 (prog-if 00 [VGA])
Checking for texture_from_pixmap: not present.
Trying again with indirect rendering:
Checking for texture_from_pixmap: not present.
aborting and using fallback: /usr/bin/metacity

Tracker version 0.6.3 Copyright (c) 2005-2007 by Jamie McCracken (<email address hidden>)

This program is free software and comes without any warranty.
It is licensed under version 2 or later of the General Public License which can be viewed at http://www.gnu.org/licenses/gpl.txt

Initialising tracker...
Could not set idle IO priority...attempting best effort 7 priority
Throttle level is 0
alarm-notify.c:368 (alarm_notify_new) - Alarm Notify New
 alarm-notify.c:304 (alarm_channel_setup) - Channel Setup
 alarm-notify.c:243 (alarm_notify_init) - Initing Alarm Notify
alarm-queue.c:1870 (alarm_queue_init)
alarm-queue.c:200 (queue_midnight_refresh) - Refresh at Sun Oct 7 18:00:00 2007

Dumped debug log to /root/sabayon-debug-log-2007-10-06-22-36-23.txt

uga (yegor-jbanov) wrote :

Screenshot

uga (yegor-jbanov) wrote :

Screenshot

uga (yegor-jbanov) wrote :

Screenshot

uga (yegor-jbanov) wrote :

After the crash sabayon does not seem to stop running (or at least something in the background doesn't) even when you exit. Error messages keep popping up in the terminal window. My gut feeling it has something to do with the xserver manipulations. Here's the message:

uga@uga-laptop:~$ ERROR: execution of prepared query SetUpdateCount failed due to unable to open database file with return code 14
ERROR: statement could not be finalized for SetUpdateCount with error unable to open database file

Daniel Botelho (botelho-daniel) wrote :

I've also had a problem with this application, butt I don't know if it's the same bug...
Basically I've only created a user profile, and closed the application. Then I opened it again and tried to edit that profile and received a message saying "fatal error has occurred....".
I'm sending my my debug-log files...

Robert (robert-martz) wrote :

I am getting a similar effect.

Jordan Erickson (lns) wrote :

I have the same results as Daniel Botelho, using Ubuntu Gutsy (both i386 and AMD64 installs). Newly installed Sabayon, create new profile, then clicking on "Edit" crashes it right after an xnest window appears. Very frustrating - especially since this would be a GREAT tool for the 6 schools I have going with LTSP.

ovizii (ovizii) wrote :

same problem here, using gutsy on dell xpsm1330

Erik Meitner (e.meitner) wrote :

I also have had this problem with Gutsy and now with Hardy(sabayon 2.22.0-0ubuntu1).
The application is essentially unusable for me.

This is the most reliable way for me to crash Sabayon:
1. Start Sabayon
2. Create a new profile
3. Click "edit"
4. Once desktop is loaded, remove the Evolution icon(which is a broken launcher because I uninstalled Evolution) from the top panel.
5. If it has not crashed by now remove the help icon from the panel.

uga (yegor-jbanov) wrote :

Hi everyone,

I wonder why, despite the problem being confirmed by multiple different users, it is not getting any attention from the development team. Is there an alternative recommended method for desktop locking in existence for Ubuntu? Or is the use-case too unpopular?

It would be nice to know at least whether there is any interest in the development team to fix this bug.

Thanks,

Yegor

johnny (johnny-localmomentum) wrote :

Hi , i'm one of the developers of sabayon .

 I definitely have interest in fixing the bugs, just lack of time to due so :(
i've pushed 10 or so fixes over the few month or two, i just don't have time to do more atm, as it is just a side project

I plan to continue working on it as time allows, but that doesn't mean we can't use your help.

Any of you folks know python? :)

uga (yegor-jbanov) wrote :

Thanks, johnny, for the response. I am a beginner in respect to Python but a big fan of Ubuntu and FLOSS. I can try to help and maybe (with sufficient mentorship) produce some good results.

I will probably start with upgrading to 8.04 and if the problem persists I'll dive into the source code.

Yegor

Brunni (michaelbrunner) wrote :

Same Problem here.

Another Problem, is that I cannot login on my Edubuntu LTSP Server, when Sabayon is installed.
Is this Problem the same?

.xsession-errors:
[debug log]
max lines = 1000
Xsession: X session started for tester at Fr 4. Apr 21:54:10 CEST 2008
Es konnte kein Profil für Benutzer »tester« gefunden werden
===== BEGIN MILESTONES (/usr/sbin/sabayon-apply) =====
MainThread 2008/04/04 21:54:10.7256 (sabayon-apply): Fatal exception! Exiting abnormally.
MainThread 2008/04/04 21:54:10.7262 (sabayon-apply): Traceback (most recent call last):
  File "/usr/sbin/sabayon-apply", line 106, in <module>
    sys.exit (util.EXIT_CODE_NORMAL)
SystemExit: 0

In English-Language:
"No profile for user '%s' found\n"

johnny (johnny-localmomentum) wrote :

which version of edubuntu is that?
that bug should be solved in gutsy

btw.. this isn't at all the same bug as reported

Brunni (michaelbrunner) wrote :

I'm using Gutsy (Edubuntu Server).

Is there already a bug-report to my second problem, or should I start a new?

llevering (l-levering) wrote :

I have this problem too, even earlier, just loading the editor is enough to make it crash.

I read something about dealing with removing the Evolution icon. I removed Evolution too, and now I am thinking that problems started after removing it. Might there be a link between the two, or is that just a co-incidence?

llevering (l-levering) wrote :

The bug is confirmed by multiple people, all important logs seem to be available and the bug clearly relates to the Gnome desktop.

Changed in sabayon:
assignee: nobody → desktop-bugs
status: New → Confirmed
Oliver Grawert (ogra) wrote :

please note that this bug is also confirmed to be fixed by multiple people in hardy on IRC, how about asking for a backport ?

llevering (l-levering) wrote :

In my case it is a brand new hardy install, although I have problems with the users-admin tool too. Maybe it is a new bug that gives almost the same problems, I will look further into it.

rootchick (cm-ccfls) wrote :

I've found that you can get around the crashing issue (in hardy) if you run sabayon with 'gksudo sabayon'. If you run it from Administration --> User Profile Editor it doesn't ask you for your administrator password, so I think it's running as a regular user. If it can't write to the /etc/desktop-profiles directory that might explain the crashing. If that's the case then that should probably be a separate bug report.

After doing it that way it seems to mostly work, though I've found that it doesn't save some settings you would expect it to, such as changes to the gnome panel. I think it's not saving any changes to the .gconf directory. Also, it doesn't save changes to the profile made with the Lockdown Editor, but it does save changes made under Preferences --> Sessions.

llevering (l-levering) wrote :

For me that doesn't solve the problem on Hardy. Reinstalling Evolution had no afffect as well. I tried to acquire as much debug information as possible by editing the config file, but nothing relevant in de debug output. Thank to your comment I decided to run sabayon from the terminal (with root permission) and then I got:
FATAL ERROR: can't open database at /tmp/sabayon-temp-home-FV1hfe/.local/share/tracker/data/common.db: unable to open database file

So it seems a permission problem or a problem with something specific with tracker.

I have the same problem, i attached my personal report.

Miguel Rodríguez (migrax) wrote :

I'm running in the same problem as Alejandro Beltrán. I can run normally sabayon, but after exiting the session no changes are recorded to the profile.

Miguel Rodríguez (migrax) wrote :

Please, disregard my previous comment. I feel embarrassed.

Problem was I was not aware of the top menu in the xnest window with the option to save the profile.

Sorry for the noise.

Changed in sabayon:
assignee: desktop-bugs → nobody
Flavelle (flavelle.ballem) wrote :

I had the problem in Ibex. Tried to use and got a crash. I am attaching a file.

weierj (justinweier) wrote :

Having the same issue in Hardy just like everyone else. I've tried several diffrent things to get it to work with no luck. I'm trying this on a fresh install of Hardy, with no changes made to anything. I've then installed the program...no problem. As soon as launch sabayon I start getting warnings about writing to the database in the terminal window. This continues as I make the first change (deleting the bottom panel), then the Xnest crashes, and the program spits back errors about writing to the database file. I've tried using a new profile each time, launching via sudo, gksudo, Administration --> User Profile Editor, all with the same result. My assumption is that the error is a permissions issue with the location containing the database file that warning and errors are complaining about NOT being able to write to. I've looked at the Sabyon PDF and on one occasion have had limited success following the last part of the CVS installation instructions after installing from .deb

/usr/sbin/useradd -c "Sabayon user" -d /var/sabayon -g nogroup -s /sbin/nologin sabayon

mkdir /var/sabayon

chown -R sabayon /var/sabayon
chgrp -R nogroup /var/sabayon

This at least allowed me to delete the lower panel, and move the top panel to the bottom, along with removing some of the panel objects and add the main menu prior to it crashing when I attempted to remove the help button.

This seems like a great idea for Ubuntu, and I really think it's an overdue feature. I'd just like it to work.

weierj (justinweier) wrote :
llevering (l-levering) wrote :

It is just shocking to me that this bug, a year later, still isn't fixed! How is anybody supposed to use Ubuntu in an enterprise environment as one of the key programs for system administrators isn't working for more than a year? It is not just a minor little bug for a function hidden deeply away into the program. The program isn't working at all, if you would remove this package for the repositories the functionality of Ubuntu wouldn't be less, so severe is this bug. And nobody is paying any attention to it. In this way Ubuntu on the desktop in businesses will never happen and I can understand why.

bigbrovar (bigbrovar) wrote :

@ llevering truely sad indeed .. am a system admin working in a school that uses ubuntu has its main computer. we have over 100 desktops computers all running ubuntu. plus we give ubuntu laptops to our students. it my job to configure the systems and make ubuntu work. for this i used systemimager for creating preconfigured images for this laptops. SABAYON would have made my job very easy because all i have to do is create and tweak a user profile for every body. alas its broken. it really sad when such an important tool like this is broken for sooo long and nobody seem to be doing anything about it. if it doesnt work then it should be removed from the repos. you cant win enterprise with this attitude.

LaserJock (laserjock) wrote :

For those of you who've left comments about your frustrations, Scott Balneaves (mostly) and myself have been working on Sabayon to get it running again in Ubuntu.

I realize a lot have you have been frustrated by the lack of response. I would like to say that the issue has not been "nobody is paying attention", but rather it's hard to get enough time from people with enough skill to work on it. The problem seems to be that Sabayon relies on the desktop environment underneath and there are subtle differences between distros that can make Sabayon a bit fragile. This makes fixing Sabayon a fairly big project, finding out how Gnome has changed in Ubuntu, doing a lot of debugging to figure out what's causing Sabayon to break, and doing it over and over for each crasher. We don't have an army of coders unfortunately so trying to carve out time has been hard. If any of you know Python and would like to help feel free to contact me.

So overall, trust me, I feel your pain. Sabayon has been a top priority for me personally and Edubuntu and we're really hopeful we can get it going in the next couple months (before Jaunty is released) and will definitely try to backport all the fixes to Intrepid and Hardy. That is part of the reason why we left it in. Hopefully it will be fairly straightforward to fix Sabayon in the previous releases once we've got a set of patches and then it will be useful for people again.

Julien MARY (jmary) wrote :

The point is that Sabayon is a highly critical element for schools, universities or companies using thin clients, leading them to just pass their way, and making companies who are providing services around Ubuntu look silly.

This should be a release blocker for Edubuntu at least, consequently for Ubuntu. IMHO.

Also experiencing this bug; as soon as "edit" is clicked, everything crashes.
running Ubuntu Server 9.04 final, still exhibiting issues.

Heavy Rail (heavyrail) wrote :

I confirm this bug, tried at Kubuntu/Ubuntu 8.10 and Kubuntu 9.04.
Crashes after I press "Edit".
Need it badly :(

I just experienced this bug on Ubuntu8.10 with latest updates and 9.04
Crash log attached

cviorel (viorel-ciucu) wrote :

Same here, crash after I click 'Edit'.
Same on Ubuntu 8.10 and 9.04.

derrickt (derrickt) wrote :

uname output: Linux shuttle 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:58:03 UTC 2009 x86_64 GNU/Linux

apt-cache show sabayon output :

Package: sabayon
Priority: optional
Section: gnome
Installed-Size: 3044
Maintainer: Ubuntu Desktop Team <email address hidden>
Original-Maintainer: Cédric Delfosse <email address hidden>
Architecture: amd64
Version: 2.22.1-0ubuntu2

Running Ubuntu 9.04 with xubuntu/xfce4

I am not using gnome, so when I start Sabayon I get the message "Xsession: unable to launch "gnome-session" X session --- "gnome-session" not found; falling back to default session." This does not seem to hinder the program from running however, and I believe this is just due to the many underlying differences between windowmanagers as someone else stated.

Sabayon crashes on me when making changes to a profile. This is after selecting a profile and clicking "edit" and then creating a desktop launcer or moving around pre-existing ones.

Often it is not even a "full crash" as it were - only the "Editing Profile: [users]" crashes - the small "user profile editor" window generally stays open.

After opening the profile to edit, I get the following output in the terminal I started the program in: xfdesktop[18267]: starting up
** (update-notifier:18273): DEBUG: crashreport_check

The way to replicate the crash is then to simply move an icon/launcher to a different part of the desktop, and then if necessary, move another one. This will cause the profile editor window to crash, leaving the User Profile Editor window where you can select/create profiles still open, and no output in the terminal that Sabayon is running in.

Let me know if there is more info that you need, I just wanted to put this here as I am trying to deploy this on an enterprise scale and having Sabayon crash every time I move an icon really hinders moving forward with this. The need to save after every change like an early microsoft office product does not instill confidence in my superiors with regard to this being a viable solution to our needs.

Thanks,
Derrick

derrickt (derrickt) wrote :

Just realized that I forgot to attach the debug log... Apologies for that.

I have just opened Sabayon, opened the profile to edit, moved one icon, and then moved another and the window has crashed.

After then minimizing Sabayon to type this here in firefox, the small User Profile Editor window appears to have locked up. After telling ubuntu to terminate the non responding application, the User Profile Editor window appears again and is working "normally".

Attached is the debug log associated with that,

Indeed.

Similar result, create new profile, edit, the X window appears, but no desktop and a crash. Would be fantastic if this got fixed. I would say the developer needs help on this. Surely this is an important application, especially for schools like above.

Samo Jelovsek (s-samko) wrote :

I had the same problem on Ubuntu 9.04, so I have tried manually installing sabayon, but no success. Finally I have found patched deb package for Ubuntu released by one of the developers.

It is located here: https://edge.launchpad.net/~sbalneav/+archive/ppa

DaveForrest (nenenaiad) wrote :

Hi all,

I am on a steep learning curve with Ubunto and must have Sabayon to move things forward for a room full of 30 computers which I want in place and secure in a week or two's time.

Could someone confirm that the patch mentioned by Samo above fixes the problem, and if so, just give me some simple instructions to carry out the fix. Basically I haven't done this type of fix before.

Regards

Dave

Jorge E. Gómez (jorgeegomez) wrote :

Dave,

I can confirm the package in Samo's PPA fixes the bug as reported (i.e. sabayon no longer crashes when trying to make a change in profile).

Just add the PPA and install the new sabayon package (detailed instructions in https://help.launchpad.net/Packaging/PPA/InstallingSoftware)

Jorge E. Gómez (jorgeegomez) wrote :

[Correction: it's Scott Balneaves' PPA. Samo Jelovsek suggested it.]

DaveForrest (nenenaiad) wrote :

Hi all,

For some reason I am getting error messagesat the end of the install.If I follow the link in Samo's comment it takes me to a page in which the Overview tab is active. There is a signing key 1024R/DADA3CFS key on this page.

If you click on the Overview Page again a new page is shown (the Overview page is still active) and a PGPKey marked 3B7E16E1 is shown. Now I would presume that it is this key I used although I notice that it is not of the specified format as specified in (Read about Installing) link on the first page.
If I use 3B7E16E1 as it appears logical to use it.

Sudo apt_key adv --keyserver seem so.k.

After running sudo apt-get update, I see a lot of lines marked Hit hhtp://gb.archive.ubuntu.com lines, and then :-

W: Failed to fetch http://ppa.launchpad.net/sbalneav/ppa/ubuntu/dists/jaunty/Release
Unable to find expected entry Copy/source/sources im Meta-index file(malformed release file ?)

E: Some index files failed to download, they have been ignored, or old ones used instead.

Can anyone cast any light ?

Regards

Dave

DaveForrest (nenenaiad) wrote :

Hi,

I did a complete re-install of the above and got no errors whatsoever, however I still have the fatal error when I go to edit a profile.

I apologise for troubling anyone with this but without it I do not see how I can manage the users and set up a restricted environment without this.

If there is something to try or something I have missed, I would be grateful if you would e-mail me.

Regards

Dave

Julien MARY (jmary) wrote :
  • Trace Edit (48.2 KiB, application/octet-stream)

Same here.

DaveForrest (nenenaiad) wrote :

Hi,

I have attempted both here and elsewhere to get some information about thisd problem and its resolution. Even though I have attempted to contact some of the contributors directly I have had no reply.

I would repeat that I am trying to use LTSP and as far as I can see Ubuntu is NOT worth using in an educational context since it relies upon the students profile being locked down and as far as I can see this relies on the profile editor. This is where we have all come in.

I am amazed that a version of Ubuntu would be released with such inadequacies from an LTSP point of view.

Reading through all that has been said above - this has all been said before.

Perhaps I really am wasting my time using this product.

I shall try and seek help by issuing a general appeal in the forums, but I don't hold up much hope.

Regards

Dave

Scott Balneaves (sbalneav) wrote :

Dave:

I've been working on the problem, both within Ubuntu and Upstream. The problem isn't an Ubuntu problem per-se: Sabayon itself was broken upstream for non-RedHat distros. FWIW, it hasn't worked in Debian for a while either.

As an LTSP developer, I recognize that Sabayon's an important piece of software, so I'm committed to getting a working version going for Karmic. Federico just released a new version late last week, so I'll be working on getting a new version in my PPA for jaunty, if you'd like to test.

Hang in there, we'll get it going.

Scott

For my concern, the last version compiled 3 hours ago in Scott's ppa
does the job now.

Thanks Scott.

Julien

Scott Balneaves a écrit :
> Dave:
>
> I've been working on the problem, both within Ubuntu and Upstream. The
> problem isn't an Ubuntu problem per-se: Sabayon itself was broken
> upstream for non-RedHat distros. FWIW, it hasn't worked in Debian for a
> while either.
>
> As an LTSP developer, I recognize that Sabayon's an important piece of
> software, so I'm committed to getting a working version going for
> Karmic. Federico just released a new version late last week, so I'll be
> working on getting a new version in my PPA for jaunty, if you'd like to
> test.
>
> Hang in there, we'll get it going.
>
> Scott
>
>

--
Julien MARY

IT Consulting, Web Development.
+86 1360126 0773
http://www.progression-asia.com

== Pensez à vivre plus simplement pour que d'autres puissent simplement vivre. ==

Scott Balneaves (sbalneav) wrote :

The latest Sabayon in my PPA is much closer. There's still a bug with panel changes: they don't appear to be picked up. However, I've emailed the Sabayon development list, and I'll see if I can snag Federico today to help me track it down. I've sent some other bugfixes I've made (specifically the bugfix for enumerating a free X display that caused lots of people grief) upstream to Federico, and he's indicated he may release *another* version shortly.

We've still got time to get these fixes in for Karmic, and I'll have jaunty packages in my PPA, and I'll see about producing a hardy version of the package for LTS users.

Cheers,
Scott

Changed in sabayon (Ubuntu):
assignee: nobody → Scott Balneaves (sbalneav)
llevering (l-levering) wrote :

Currently I do not need to set-up (another) Ubuntu network, but I am very happy to see this finally fixed. It will be a big progression in setting up large multiple user networks. I will certainly try to build in an Edubuntu network the next time I have the opportunity. So a big thank you to everybody involved in getting this fixed!

Scott Balneaves (sbalneav) wrote :

Latest sabayon in my ppa looks workable: if you're interested, please test

Scott Balneaves (sbalneav) wrote :

sabayon-2.27.91-0ubuntu4 or later in my ppa appears to be mostly working.

It's for Jaunty.

I'll see if I can whip together a hardy version of the package.

Scott Balneaves (sbalneav) wrote :

OK, for people working on karmic, the sabayon-2.27.91-0ubuntu1 version of the package has fully switched over to Xephyr. People running on Jaunty can use my ppa, and I'll see about getting a hardy version in there as well.

Changed in sabayon (Ubuntu):
importance: Undecided → High
milestone: none → karmic-alpha-5
status: Confirmed → Fix Committed
Aaron C. de Bruyn (darkpixel) wrote :

This appears to be the same or very similar bug.
When I click 'edit' to edit a profile, it crashes with:

A fatal error has occurred. You can help us fix the problem by sending the log in /root/sabayon-debug-log.conf to http://bugzilla.gnome.org

root@cabal:~# apt-cache policy sabayon

sabayon:
  Installed: 2.27.91-0ubuntu6~ppa6
  Candidate: 2.27.91-0ubuntu6~ppa6
  Version table:
 *** 2.27.91-0ubuntu6~ppa6 0
        500 http://ppa.launchpad.net jaunty/main Packages
        100 /var/lib/dpkg/status
     2.22.1-0ubuntu2 0
        500 http://cabal.sq.local jaunty/main Packages
root@cabal:~#

Attached is what I see when running from the console.

Aaron C. de Bruyn (darkpixel) wrote :

This appears to be the same or very similar bug.
When I click 'edit' to edit a profile, it crashes with:

A fatal error has occurred. You can help us fix the problem by sending the log in /root/sabayon-debug-log.conf to http://bugzilla.gnome.org

root@cabal:~# apt-cache policy sabayon

sabayon:
  Installed: 2.27.91-0ubuntu6~ppa6
  Candidate: 2.27.91-0ubuntu6~ppa6
  Version table:
 *** 2.27.91-0ubuntu6~ppa6 0
        500 http://ppa.launchpad.net jaunty/main Packages
        100 /var/lib/dpkg/status
     2.22.1-0ubuntu2 0
        500 http://cabal.sq.local jaunty/main Packages
root@cabal:~#

Attached is what I see when running from the console.

Aaron C. de Bruyn (darkpixel) wrote :

Sorry about that double-post.
Here's a copy of the log file saved in /root

Massimo (massimo-sabbadin) wrote :

I confirm that sabayon 2.27.91-0ubuntu6~ppa6 from
deb http://ppa.launchpad.net/sbalneav/ppa/ubuntu jaunty main
solved the problem in my Jaunty release (kernel 2.6.27-14-generic)
great job!

I confirm it fixed the problem for me too. Thanks!

El vie, 18-09-2009 a las 16:02 +0000, Massimo escribió:

> I confirm that sabayon 2.27.91-0ubuntu6~ppa6 from
> deb http://ppa.launchpad.net/sbalneav/ppa/ubuntu jaunty main
> solved the problem in my Jaunty release (kernel 2.6.27-14-generic)
> great job!
>

Pablo Estigarribia
Informática del Norte - Fray Bentos
España 1229
Tel. (+598) 56 26982
www.idn.com.uy

Scott Balneaves (sbalneav) wrote :

OK, I'm going to close this bug. I've upstreamed myself for sabayon, and I'm going to care for the package on a going-forward basis. I'll continue to produce jaunty and karmic packages, and I'm in the process of working with federico upstream to get group apply added in, and we'll get that in for lucid.

Thanks to everyone for bearing with this one. It was.... a long slog :)

Changed in sabayon (Ubuntu):
status: Fix Committed → Fix Released
Carlos Gomes (crlsgms) wrote :

Got the same issue, using 2.29.5 in ubuntu lucid 10.04 fresh install, fully updated. Sabayon is a must on ubuntu, mostly to overcome the windows kiosk alternatives with gpolicies and recently added microsoft-steady-state. I can open sabayon, view the desktop, make changes, save and close, but only for the first time.

after if i go to a regular created profile and try to edit anything, after chosing the save option sabayon crashes, still telling the wrong path to the log files, as described on the first uga's step 4 png.

i work in a university, have much touble with virus in pendrives... regarding that the pcs go back to the frozen state saved bu steady-state, its very annoying to know that the students keep still collecting virus from theyr pendrives and home computers.

a prohibitive app for new releases.

Carlos Gomes (crlsgms) wrote :

Sill with the issue. kinda hard to work with kiosks with gnome, since sabayon wont let you get a fixed profile, or edit it in maintenance basis.

still waiting for a real fix, since 10.04 should be lts, and this very important social tool is far from stable or usable.

Carlos Gomes (crlsgms) wrote :

Anyone? Is it planned or possible to use ubuntu in schools with this locked feature? Or ubuntu is only driven to commercial interest? let us hope this get fixed in some LTS version on the way.

LinkedIn
------------

Bug,

I'd like to add you to my professional network on LinkedIn.

- Julien

Julien MARY
IT & Sales Marketing Manager at KOH Concepts
Hong Kong

Confirm that you know Julien MARY:
https://www.linkedin.com/e/5m70nu-h157l5fd-4t/isd/6719406834/1ViQhJCv/?hs=false&tok=3AdRUtoW1Crlc1

--
You are receiving Invitation to Connect emails. Click to unsubscribe:
http://www.linkedin.com/e/5m70nu-h157l5fd-4t/kDV28d3sQUbn5d4nQqXUzNWsO6QVW5bV_b0YoRW/goo/150068%40bugs%2Elaunchpad%2Enet/20061/I2322978945_1/?hs=false&tok=2EhIJUqTdCrlc1

(c) 2012 LinkedIn Corporation. 2029 Stierlin Ct, Mountain View, CA 94043, USA.

ROC Texas (roc-texas) wrote :

I know this is a really old thread, but I thought I would throw this out there. Hopefully this will help someone.

I am running Ubuntu 10.04 (a basic install) I discovered something interesting in troubleshooting this problem with Sabayon. It fixed the problem for me. I noticed that the resolution was set to 800x600 on the server which seemed low to me, so I bumped it up to 1024x768 and the Sabayon problem went away. Before, I would create a profile and when I clicked on the edit button Sabayon would crash. Now after bumping up the resolution, when I create a profile and click on edit...the virtual desktop of the profile loads just fine. I figured this out because I had another server running the exact same version of Sabayon and Ubuntu and everything worked just fine.

To post a comment you must log in.